envoy-exec(1)

NAME
envoy-exec - application wrapping tool

SYNOPSIS
envoy-exec command

DESCRIPTION
envoy-exec connects to the daemon, gets all the information associated with the current running agent, updates it with fresh environmental information and then invokes the provided command. This ensures that the command runs as seamlessly as possible with the agent without having to worry about the system's or shell's environment.

  Symlinking Against envoy-exec
It is also possible to symlink envoy-exec to another name to provide a terser wrapper for that command.

    export PATH="$HOME/bin:$PATH"
    ln -s /usr/bin/envoy-exec ~/bin/ssh

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information.

-t AGENT, --agent=AGENT
    Set the agent type to fetch. If this isn't set, its up to envoyd to decide which agent is launched. ssh-agent and gpg-agent are supported agents (see envoy(1)).

ENVIRONMENT

ENVOY_SOCKET
    Both envoyd and envoy use this environment variable for the location of the unix domain socket for communication. Prefixing the socket with a @ denotes an abstract namespace. The default socket is @/vodik/envoy

AUTHORS
Simon Gomizelj <simongmzlj@gmail.com>

SEE ALSO
envoyd(1), envoy(1), ssh-agent(1), ssh-add(1), gpg-agent(1)